package com.yonyou.hrcloud.pm.result.model;

import com.yonyou.hrcloud.adder.generic.DBIgnore;
import com.yonyou.hrcloud.berry.model.TenantBaseEntity;
import com.yonyou.hrcloud.pm.common.model.PmStaff;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.Map;

/**
 * 结果审核总分实体
 *
 * @author Flysea
 */
@Data
public class ApproveScore extends TenantBaseEntity {
	private static final long serialVersionUID = 1L;
	public static final String TABLE_NAME = "pm_approve_score";

	/**
	 * 量表编码
	 */
	private String sheetid;

	/**
	 * 方案id
	 */
	private String schemeid;

	/**
	 * 审核人id
	 */
	private String auditor;

	/**
	 * 轮次
	 */
	private int turn;

	/**
	 * 部门id
	 */
	private String deptid;

	/**
	 * 考核对象组id或多方案组id
	 */
	private String groupid;

	/**
	 * 审核类型<br>
	 * 1对象组；2方案内；3多方案
	 */
	private Integer audittype;
	
	/**
	 * 1分数
	 */
	private BigDecimal oneScore;
	
	/**
	 * 2分数
	 */
	private BigDecimal secondScore;
	
	/**
	 * 3分数
	 */
	private BigDecimal thirdScore;

	/**
	 * 分数
	 */
	private BigDecimal score;

	/**
	 * 等级id
	 */
	private String gradeitemid;

	/**
	 * 等级名称
	 */
	private String gradeitemname;

	/**
	 * 审核时间
	 */
	private Date aprTime;

	/**
	 * 审核状态<br>
	 * 1未审核;2审核中;3已审核;4 审核不通过
	 * 
	 */
	private int markStatus;

	/**
	 * 审核意见<br>
	 * 非存储
	 */
	private String comment;
	
	/**
	 * 是否可问责显示
	 * 非存储
	 */
	private int isShow;

	
	
	/**
	 * 审核意见
	 */
	private String ncomment;

	/**
	 * 审核人姓名<br>
	 * 非存储
	 */
	private String auditorname;

	/**
	 * 部门名称<br>
	 * 非存储
	 */
	private String deptname;

	/**
	 * 人员对象<br>
	 * 非存储
	 */
	private PmStaff staff;

	/**
	 * 状态名称<br>
	 * 非存储
	 */
	private String statusname;

	/**
	 * 计算结果集合<br>
	 * 非存储
	 */
	private Map<String, Score> oScore;

	@DBIgnore
	public PmStaff getStaff() {
		return staff;
	}

	@DBIgnore
	public String getDeptname() {
		return deptname;
	}

	@DBIgnore
	public String getAuditorname() {
		return auditorname;
	}

	@DBIgnore
	public String getStatusname() {
		return statusname;
	}
	
	@DBIgnore
	public int getIsShow() {
		return isShow;
	}

	@DBIgnore
	public Map<String, Score> getOScore() {
		return oScore;
	}
	
	@DBIgnore
	public String getComment() {
		return ncomment;
	}
	
	public void setComment(String v) {
		setNcomment(v);
	}
}
